## org.apache.fop.layout
Class Area

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Area

Direct Known Subclasses:
  AreaContainer, BlockArea, BodyAreaContainer, ExtensionArea, ImageArea, InlineArea, LineArea, SVGArea

public abstract class Area
extends Box

Field Summary
`protected int` `allocationWidth`
`protected ColorType` `backgroundColor`
`ColorType` `borderColorBottom`
`ColorType` `borderColorLeft`
`ColorType` `borderColorRight`
`ColorType` `borderColorTop`
`int` `borderStyleBottom`
`int` `borderStyleLeft`
`int` `borderStyleRight`
`int` `borderStyleTop`
`int` `borderWidthBottom`
`int` `borderWidthLeft`
`int` `borderWidthRight`
`int` `borderWidthTop`
`protected java.util.Vector` `children`
`protected int` `contentRectangleWidth`
`protected int` `currentHeight`
`FObj` `foCreator`
`protected FontState` `fontState`
`protected int` `maxHeight`
`protected int` `paddingBottom`
`protected int` `paddingLeft`
`protected int` `paddingRight`
`protected int` `paddingTop`
`protected Page` `page`
`protected int` `tableCellXOffset`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`Area(FontState fontState)`
`Area(FontState fontState, int allocationWidth, int maxHeight)`

Method Summary
`void` `addChild(Box child)`
`void` `addChildAtStart(Box child)`
`void` `addDisplaySpace(int size)`
`void` `end()`
`int` `getAbsoluteHeight()`
`int` `getAllocationWidth()`
`ColorType` `getBackgroundColor()`
`java.util.Vector` `getChildren()`
`int` `getContentHeight()`
`int` `getContentWidth()`
`FObj` `getfoCreator()`
`FontInfo` `getFontInfo()`
`FontState` `getFontState()`
`int` `getHeight()`
`IDReferences` `getIDReferences()`
`int` `getMaxHeight()`
`AreaContainer` `getNearestAncestorAreaContainer()`
`int` `getPaddingBottom()`
`int` `getPaddingLeft()`
`int` `getPaddingRight()`
`int` `getPaddingTop()`
`Page` `getPage()`
`Area` `getParent()`
`int` `getTableCellXOffset()`
`void` `increaseAbsoluteHeight(int value)`
`void` `increaseHeight(int amount)`
`void` `remove()`
`void` `removeChild(Area area)`
`void` `removeChild(DisplaySpace spacer)`
`void` `setAbsoluteHeight(int value)`
`void` `setAllocationWidth(int w)`
`void` `setBackgroundColor(ColorType bgColor)`
`void` `setBorderColor(ColorType top, ColorType left, ColorType bottom, ColorType right)`
`void` `setBorderStyle(int top, int left, int bottom, int right)`
`void` `setBorderWidth(int top, int left, int bottom, int right)`
`void` `setHeight(int height)`
`void` `setIDReferences(IDReferences idReferences)`
`void` `setMaxHeight(int height)`
`void` `setPadding(int top, int left, int bottom, int right)`
`void` `setPage(Page page)`
`void` `setParent(Area parent)`
`void` `setTableCellXOffset(int offset)`
`int` `spaceLeft()`
`void` `start()`

Methods inherited from class org.apache.fop.layout.Box
`render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontState

    protected FontState fontState

### children

    protected java.util.Vector children

### maxHeight

    protected int maxHeight

### currentHeight

    protected int currentHeight

### tableCellXOffset

    protected int tableCellXOffset

### contentRectangleWidth

    protected int contentRectangleWidth

### allocationWidth

    protected int allocationWidth

### page

    protected Page page

### backgroundColor

    protected ColorType backgroundColor

### paddingTop

    protected int paddingTop

### paddingLeft

    protected int paddingLeft

### paddingBottom

    protected int paddingBottom

### paddingRight

    protected int paddingRight

### foCreator

    public FObj foCreator

### borderWidthTop

    public int borderWidthTop

### borderWidthLeft

    public int borderWidthLeft

### borderWidthRight

    public int borderWidthRight

### borderWidthBottom

    public int borderWidthBottom

### borderStyleTop

    public int borderStyleTop

### borderStyleLeft

    public int borderStyleLeft

### borderStyleRight

    public int borderStyleRight

### borderStyleBottom

    public int borderStyleBottom

### borderColorTop

    public ColorType borderColorTop

### borderColorLeft

    public ColorType borderColorLeft

### borderColorRight

    public ColorType borderColorRight

### borderColorBottom

    public ColorType borderColorBottom

Constructor Detail

### Area

    public Area(FontState fontState)

### Area

    public Area(FontState fontState,
                int allocationWidth,
                int maxHeight)

Method Detail

### addChild

    public void addChild(Box child)

### addChildAtStart

    public void addChildAtStart(Box child)

### addDisplaySpace

    public void addDisplaySpace(int size)

### getFontInfo

    public FontInfo getFontInfo()

### end

    public void end()

### getAllocationWidth

    public int getAllocationWidth()

### setAllocationWidth

    public void setAllocationWidth(int w)

### getChildren

    public java.util.Vector getChildren()

### getContentWidth

    public int getContentWidth()

### getFontState

    public FontState getFontState()

### getContentHeight

    public int getContentHeight()

### getHeight

    public int getHeight()

### getMaxHeight

    public int getMaxHeight()

### getPage

    public Page getPage()

### getBackgroundColor

    public ColorType getBackgroundColor()

### getPaddingTop

    public int getPaddingTop()

### getPaddingLeft

    public int getPaddingLeft()

### getPaddingBottom

    public int getPaddingBottom()

### getPaddingRight

    public int getPaddingRight()

### getTableCellXOffset

    public int getTableCellXOffset()

### setTableCellXOffset

    public void setTableCellXOffset(int offset)

### getAbsoluteHeight

    public int getAbsoluteHeight()

### setAbsoluteHeight

    public void setAbsoluteHeight(int value)

### increaseAbsoluteHeight

    public void increaseAbsoluteHeight(int value)

### increaseHeight

    public void increaseHeight(int amount)

### removeChild

    public void removeChild(Area area)

### removeChild

    public void removeChild(DisplaySpace spacer)

### remove

    public void remove()

### setPage

    public void setPage(Page page)

### setBackgroundColor

    public void setBackgroundColor(ColorType bgColor)

### setPadding

    public void setPadding(int top,
                           int left,
                           int bottom,
                           int right)

### setBorderWidth

    public void setBorderWidth(int top,
                               int left,
                               int bottom,
                               int right)

### setBorderStyle

    public void setBorderStyle(int top,
                               int left,
                               int bottom,
                               int right)

### setBorderColor

    public void setBorderColor(ColorType top,
                               ColorType left,
                               ColorType bottom,
                               ColorType right)

### spaceLeft

    public int spaceLeft()

### start

    public void start()

### setHeight

    public void setHeight(int height)

### setMaxHeight

    public void setMaxHeight(int height)

### getParent

    public Area getParent()

### setParent

    public void setParent(Area parent)

### setIDReferences

    public void setIDReferences(IDReferences idReferences)

### getIDReferences

    public IDReferences getIDReferences()

### getfoCreator

    public FObj getfoCreator()

### getNearestAncestorAreaContainer

    public AreaContainer getNearestAncestorAreaContainer()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.